<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Virtual Libarry</title>
    {# Load CSS and JavaScript #}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    {% block css %}{% endblock %}
</head>
<body>
    {% load bootstrap_icons %}
    <nav class="navbar  navbar-expand-md navbar-dark bg-dark mb-3">
        <div class="container-fluid">
            <a class="navbar-brand" href="/library/">Virtual Library</a>>
            <div class="collapse navbar-collapse" id="navbarScroll">
                <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" aria-current="page" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Bookshelf
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                            <li><a class="dropdown-item" href="{% url 'home' %}">{% bs_icon 'pen' size='1em' %} See all bookshelf</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_bookshelf' %}">{% bs_icon 'plus-circle' size='1em' %} Add bookshelf</a></li>
                            <li><a class="dropdown-item" href="{% url 'delete_bookshelf' %}">{% bs_icon 'x-circle' size='1em' %} Delete bookshelf</a></li>
                            <li><a class="dropdown-item" href="{% url 'update_bookshelf' %}">{% bs_icon 'upload' size='1em' %} Update bookshelf</a></li>
                        </ul>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Book
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                            <li><a class="dropdown-item" href="{% url 'all_books' %}">{% bs_icon 'book' size='1em' %} See all books</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_book' %}">{% bs_icon 'plus-circle' size='1em' %} Add Book</a></li>
                            <li><a class="dropdown-item" href="{% url 'delete_book' %}">{% bs_icon 'x-circle' size='1em' %} Delete Book</a></li>
                            <li><a class="dropdown-item" href="{% url 'update_book' %}">{% bs_icon 'upload' size='1em' %} Update Book</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_copies_book' %}">{% bs_icon 'plus' size='1em' %} Add copies for a Book</a></li>
                            <li><a class="dropdown-item" href="{% url 'remove_copies_book' %}">{% bs_icon 'dash' size='1em' %} Delete copies for a Book</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_book_bookshelf' %}">{% bs_icon 'plus' size='1em' %} Add Book to bookshelf</a></li>
                            <li><a class="dropdown-item" href="{% url 'remove_book_bookshelf' %}">{% bs_icon 'dash' size='1em' %} Delete Book from bookshelf</a></li>
                        </ul>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Author
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                            <li><a class="dropdown-item" href="{% url 'all_authors' %}">{% bs_icon 'pen' size='1em' %} See all authors</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_author' %}">{% bs_icon 'plus-circle' size='1em' %} Add author</a></li>
                            <li><a class="dropdown-item" href="{% url 'delete_author' %}">{% bs_icon 'x-circle' size='1em' %} Delete author</a></li>
                            <li><a class="dropdown-item" href="{% url 'update_author' %}">{% bs_icon 'upload' size='1em' %} Update author</a></li>
                        </ul>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarScrollingDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Editorials
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarScrollingDropdown">
                            <li><a class="dropdown-item" href="{% url 'all_editorials' %}">{% bs_icon 'house' size='1em' %} See all editorials</a></li>
                            <li><hr class="dropdown-divider"></li>
                            <li><a class="dropdown-item" href="{% url 'add_editorial' %}">{% bs_icon 'plus-circle' size='1em' %} Add editorial</a></li>
                            <li><a class="dropdown-item" href="{% url 'delete_editorial' %}">{% bs_icon 'x-circle' size='1em' %} Delete editorial</a></li>
                            <li><a class="dropdown-item" href="{% url 'update_editorial' %}">{% bs_icon 'upload' size='1em' %} Update editorial</a></li>
                        </ul>
                    </li>

                </ul>
            </div>
        </div>
    </nav>
    {% block content %}{% endblock %}
</body>
</html>